Subject: Re: bug#55800: using rgrep function interactively with fido-mode or fido-vertical-mode causes errors

From: Yilkal Argaw <[email-masked]>
Date: Thu, 9 Jun 2022 14:11:05 +0300

> Did you know that you can use M-j to accept the default value "all"
> instead of the highlighted candidate in fido-mode?

M-j did not work. Also I do not think that that is how that function
was supposed to behave. Looking into the fille grep.el there is a
list called "grep-files-aliases" I think that is the list that should be
fed to the completion instead of whatever is generated by
read-file-name-internal.
One could even build a better list of file extensions
because asking for "matching wildcards" and providing files
instead of file extensions does not quite make sense to a user.

With Regards
Yilkal A.

On Wed, Jun 8, 2022 at 10:41 AM Juri Linkov <[email-masked]> wrote:
>
> >> The completion shows file names because the code calls
> >> read-file-name-internal.  Try the same without fido, and at the prompt
> >> for the wildcard type '?' -- you will see a list of files.  That's
> >> what fido shows.
> >>
> >> Why that code calls read-file-name-internal, I don't know; perhaps
> >> because it wants to support the use case of searching a single file or
> >> files in a directory?
> >
> > I think that is done in the completion option after that where one selects
> > the file name or a directory based on ones' needs. This option as
> > I mentioned before  it was supposed to be for file types. If there is no builtin
> > list for file types(extensions) it might be sufficient to leave it alone
> > or have it call a list which contains "*" only. I have checked the completion
> > options for counsel-rg counsel-ag, consult-rg and they do it do it that way
>
> Did you know that you can use M-j to accept the default value "all"
> instead of the highlighted candidate in fido-mode?